Bug 849713 - numpy: failed import of distutils.command.install_clib
numpy: failed import of distutils.command.install_clib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker 846617
  Show dependency treegraph
 
Reported: 2012-08-20 12:44 EDT by Jerry James
Modified: 2012-09-17 19:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:31:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (1.11 KB, text/plain)
2012-08-22 07:08 EDT, Dan Horák
no flags Details

  None (edit)
Description Jerry James 2012-08-20 12:44:04 EDT
Description of problem:
In Rawhide and F-18:

$ python3
Python 3.3.0b2 (default, Aug 14 2012, 01:22:06) 
[GCC 4.7.1 20120813 (Red Hat 4.7.1-7)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from numpy.distutils.core import setup
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.3/site-packages/numpy/distutils/core.py", line 25, in <module>
    from numpy.distutils.command import config, config_compiler, \
  File "/usr/lib/python3.3/site-packages/numpy/distutils/command/__init__.py", line 17, in <module>
    __import__('distutils.command',globals(),locals(),distutils_all)
ImportError: No module named 'distutils.command.install_clib'
>>> 

This problem is preventing scipy from being rebuilt for Python 3.3, which is in turn preventing me from rebuilding my package, python-cvxopt, for Python 3.3.

Version-Release number of selected component (if applicable):
numpy-1.6.2-5.fc18

How reproducible:
Always

Steps to Reproduce:
1. Follow the steps shown above, or try to build scipy
2.
3.
  
Actual results:
Failed import.

Expected results:
Successful compilation of scipy, or import of the numpy package.

Additional info:
Comment 2 Dan Horák 2012-08-22 07:08:58 EDT
Created attachment 606197 [details]
proposed fix
Comment 3 Fedora Update System 2012-08-22 11:19:32 EDT
numpy-1.6.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/numpy-1.6.2-6.fc18
Comment 4 Jerry James 2012-08-22 19:08:12 EDT
Thanks a lot, Dan.
Comment 5 Fedora Update System 2012-08-23 00:35:02 EDT
Package numpy-1.6.2-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing numpy-1.6.2-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12537/numpy-1.6.2-6.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 19:31:54 EDT
numpy-1.6.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.